SDXFrameWork 0.09 SDXFrameWork

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Pages
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
SDX::Object< TShape, TSprite > Class Template Reference

Model派生のサンプルクラス. More...

`#include <Object.h>`

Inherits SDX::IObject.

## Public Member Functions
| Object (const TShape &図形と位置, const TSprite &描画方法)
int | GetTimer ()
| 発生後経過時間を返す. More...
virtual void | Update ()
| 状態の更新. More...
bool | GetRemoveFlag ()
| 消滅フラグの取得. More...
void | SetRemoveFlag (bool 消滅フラグ)
Belong | GetBelong ()
| 所属を取得. More...
virtual void | Act ()
| Update時の行動処理. More...
virtual void | Remove ()
| 消滅時の処理. More...
virtual void | React ()
| ダメージを受けた時の処理. More...
virtual void | Damaged (double 被ダメージ)
| 攻撃された時の処理. More...
void | SetShadowSize (double 影の表示倍率)
| 影の大きさを設定. More...
void | SetIsCamera (bool カメラ利用フラグ)
| 描画にカメラを使うか設定. More...
virtual void | Draw ()
| 描画する. More...
void | DrawShadow (double X座標ずれ, double Y座標ずれ)
| 影を描画する. More...
void | AnimeUpdate ()
| アニメーションを更新する. More...
void | Move (double X移動量, double Y移動量)
| 相対座標で移動. More...
void | MovePolar (double 距離, double 角度)
| 極座標で移動. More...
void | SetPos (double X座標, double Y座標)
| 指定座標に移動. More...
void | SetZoom (double 拡大率)
| 拡大率を設定する. More...
void | SetZoom (double X拡大率, double Y拡大率)
| 縦横別で拡大率を設定する. More...
void | MultiZoom (double 倍率)
| 拡大率を掛ける. More...
void | MultiZoom (double X倍率, double Y倍率)
| 縦横別で拡大率を掛ける. More...
void | Rotate (double 回転角度)
| 回転させる. More...
double | GetAngle ()
| 角度を取得する. More...
void | SetAngle (double 角度)
| 角度を設定する. More...
void | SetColor (Color 描画色)
| 色をまとめて変更する、透明度も含む. More...
double | GetZoomX ()
| 横方向の拡大率を取得. More...
double | GetZoomY ()
| 縦方向の拡大率を取得. More...
double | GetX () const
| X座標を取得. More...
double | GetY () const
| Y座標を取得. More...
bool | Hit (IModel *判定を行うModel)
| Modelとの衝突判定. More...
bool | Hit (IShape *判定を行うShape)
| Shapeとの衝突判定. More...
bool | Hit (Camera *座標変換に使うCamera=nullptr)
| マウスカーソルとの衝突判定. More...
template<class T >
double | GetDirect (T *比較対象)
| 対象との角度を取得. More...
template<class T >
double | GetDistance (T *比較対象)
| 対象との相対座標を取得. More...

## Public Attributes
TShape | shape
TSprite | sprite
IShape & | iShape
ISprite & | iSprite

## Protected Member Functions
virtual bool | RemoveCheck (Rect *存在可能範囲)
| 消滅判定を行う. More...
virtual void | Attack (Object *攻撃対象)
| 衝突した相手に攻撃する. More...
void | SetTimer (int フレーム数)

## Protected Attributes
int | timer = 0
| 発生してから経過したフレーム数
bool | isRemove = false
| 消滅フラグ
bool | isOutCheck = true
| 範囲外処理を行うかフラグ
double | power
| 攻撃力
int | attribute
| 攻撃属性
int | lifeTime = -1
| 生存期間
Belong | belong
| 所属するレイヤー

## Detailed Description

### template<class TShape, class TSprite>
class SDX::Object< TShape, TSprite >

Model派生のサンプルクラス.

## Member Function Documentation

virtual bool SDX::IObject::RemoveCheck | ( | Rect * | 存在可能範囲 | ) |
| protected virtual inherited

消滅判定を行う.

virtual void SDX::IObject::Attack | ( | Object * | 攻撃対象 | ) |
| protected virtual inherited

衝突した相手に攻撃する.

int SDX::IObject::GetTimer | ( |  | ) |
| inherited

発生後経過時間を返す.

virtual void SDX::IObject::Update | ( |  | ) |
| virtual inherited

状態の更新.

Reimplemented from SDX::IModel.

bool SDX::IObject::GetRemoveFlag | ( |  | ) |
| inherited

消滅フラグの取得.

Belong SDX::IObject::GetBelong | ( |  | ) |
| inherited

所属を取得.

virtual void SDX::IObject::Act | ( |  | ) |
| virtual inherited

Update時の行動処理.

virtual void SDX::IObject::Remove | ( |  | ) |
| virtual inherited

消滅時の処理.

virtual void SDX::IObject::React | ( |  | ) |
| virtual inherited

ダメージを受けた時の処理.

virtual void SDX::IObject::Damaged | ( | double | 被ダメージ | ) |
| virtual inherited

攻撃された時の処理.

void SDX::IModel::SetShadowSize | ( | double | 影の表示倍率 | ) |
| inherited

影の大きさを設定.

void SDX::IModel::SetIsCamera | ( | bool | カメラ利用フラグ | ) |
| inherited

描画にカメラを使うか設定.

virtual void SDX::IModel::Draw | ( |  | ) |
| virtual inherited

描画する.

void SDX::IModel::DrawShadow | ( | double | X座標ずれ,
|  | double | Y座標ずれ
| ) |  |
| inherited

影を描画する.

void SDX::IModel::AnimeUpdate | ( |  | ) |
| inherited

アニメーションを更新する.

void SDX::IModel::Move | ( | double | X移動量,
|  | double | Y移動量
| ) |  |
| inherited

相対座標で移動.

void SDX::IModel::MovePolar | ( | double | 距離,
|  | double | 角度
| ) |  |
| inherited

極座標で移動.

void SDX::IModel::SetPos | ( | double | X座標,
|  | double | Y座標
| ) |  |
| inherited

指定座標に移動.

void SDX::IModel::SetZoom | ( | double | 拡大率 | ) |
| inherited

拡大率を設定する.

void SDX::IModel::SetZoom | ( | double | X拡大率,
|  | double | Y拡大率
| ) |  |
| inherited

縦横別で拡大率を設定する.

void SDX::IModel::MultiZoom | ( | double | 倍率 | ) |
| inherited

拡大率を掛ける.

void SDX::IModel::MultiZoom | ( | double | X倍率,
|  | double | Y倍率
| ) |  |
| inherited

縦横別で拡大率を掛ける.

void SDX::IModel::Rotate | ( | double | 回転角度 | ) |
| inherited

回転させる.

double SDX::IModel::GetAngle | ( |  | ) |
| inherited

角度を取得する.

void SDX::IModel::SetAngle | ( | double | 角度 | ) |
| inherited

角度を設定する.

void SDX::IModel::SetColor | ( | Color | 描画色 | ) |
| inherited

色をまとめて変更する、透明度も含む.

double SDX::IModel::GetZoomX | ( |  | ) |
| inherited

横方向の拡大率を取得.

double SDX::IModel::GetZoomY | ( |  | ) |
| inherited

縦方向の拡大率を取得.

double SDX::IModel::GetX | ( |  | ) | const
| inherited

X座標を取得.

double SDX::IModel::GetY | ( |  | ) | const
| inherited

Y座標を取得.

bool SDX::IModel::Hit | ( | IModel * | 判定を行うModel | ) |
| inherited

Modelとの衝突判定.

bool SDX::IModel::Hit | ( | IShape * | 判定を行うShape | ) |
| inherited

Shapeとの衝突判定.

bool SDX::IModel::Hit | ( | Camera * | 座標変換に使うCamera = `nullptr` | ) |
| inherited

マウスカーソルとの衝突判定.

template<class T >

double SDX::IModel::GetDirect | ( | T * | 比較対象 | ) |
| inherited

対象との角度を取得.

template<class T >

double SDX::IModel::GetDistance | ( | T * | 比較対象 | ) |
| inherited

対象との相対座標を取得.